[BITS 16]
[ORG 0x7C00]

boot:	jmp		near start
		nop
		
start:
		mov		ax, 0x03 ; clear the screen
		int		0x10
		
		pusha
		mov		bp, stage1
		mov		ax, 0x1301
		mov		bx, 7
		mov		cx, 7
		mov		dx, 0x0102
		int		0x10
		popa
		
		.reset_drive:
		mov		ah, 0
		;mov		dl, 0x080
		int		0x13
		
        or		ah, ah               ; Check for error code
        jnz		.reset_drive         ; Try again if ah != 0
        
        pusha
		mov		bp, reseted
		mov		ax, 0x1301
		mov		bx, 7
		mov		cx, 7
		mov		dx, 0x0202
		int		0x10
		popa
		
		mov		ax, 0
		mov		es, ax
		mov		bx, 0x1000          ; Destination address = 0000:1000
		
		mov		ah, 0x02             ; READ SECTOR-command
        mov		al, 0x01            ; Number of sectors to read = 1
        mov		ch, 0x00               ; Cylinder = 0
        mov		cl, 0x01             ; Sector = 1
        ;mov		dl, 0x080			; Disk = Hard Disk 0
        mov		dh, 0x01               ; Head = 1
        int		0x13
		
        or		ah, ah
        jnz		.reset_drive
        
        pusha
        mov		bp, loaded
		mov		ax, 0x1301
		mov		bx, 7
		mov		cx, 10
		mov		dx, 0x0302
		int		0x10
		;call	waitkey
		
		jmp		0x0000:0x1000
		
		jmp		$
waitkey:
		pusha
		mov		ah, 0
		int		16h
		popa
		ret
		
		stage1	db 'Stage 1',0
		reseted	db 'Reseted',0
		loaded	db 'Loading OK',0
		